/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    wordmatch                                                 *
*Project Version: 1.0                                                       *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Thursday 25th April 2013                                  *
*                                                                           *
*Start DateStamp: 17-Jun-2011 12.37.31 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Match words using wildcards with optional synonyms                        *
* or provide anagrams using wildcards with optional synonyms                *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       prefs.h                                                   *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       20-Apr-2013 10.08.13 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* Header for prefs.c                                                        *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef _PREFS_H
#define _PREFS_H

#include "misc.h"

extern void callback_preferences(GtkWidget *widget, gpointer data);



extern void load_prefs(void);
extern char *make_string(char *string);
//extern void callback_destroy_child_window(GtkWidget *widget, gpointer data);

extern char *words_pn_txt;
extern char *synonyms_command_txt;
extern GdkPixbuf *pw_pixbuf;
extern GList *child_windows;

extern int main_window_width;
extern int main_window_height;
extern int prefs_window_width;
extern int prefs_window_height;
extern int results_window_width;
extern int results_window_height;

#endif // _PREFS_H
