# THIS FILE IS A MESS!

%define name		wordmatch
%define version		1.0

# ---------------------------------------------------

# Use the following for a standard install
# Prefix:		/usr/local
# %define datadir	%{prefix}/share
# %define mandir	%{prefix}/man

# Use the following for a Redhat/Fedora install
Prefix:			/
%define datadir		%{prefix}/usr/share
%define mandir		%{prefix}/usr/share/man

# derived from above but they work as fine tuning...
# Needed for ./configure which is part of autogen.sh
# Alter as required

%define pixmaps %{datadir}/pixmaps
%define pixmapsdir %{datadir}/pixmaps/%{name}

%define bindir		%{prefix}/usr/bin
%define sysconfdir	%{prefix}/etc
%define localstatedir	%{prefix}/var


# derived from above but for this .spec file only
# DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU'RE DOING!

%define pixmaps %{datadir}/pixmaps
%define pixmapsdir %{datadir}/pixmaps/%{name}

%define doc		%{datadir}/%{name}
%define docdir		%{datadir}/%{name}/doc
%define logdir		%{localstatedir}/log
%define rundir		%{localstatedir}/run

%define sname	%{name}-%{version}
%define sdir	$RPM_BUILD_DIR/%{name}-%{version}

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:     	Search for either words matching a pattern or anagrams, optionally with synonyms, using a GUI.

Group:       	Applications/System   
License:        GPL
Packager:       David M. Balean  <linprogs@balean.net>
Vendor:		David M. Balean  <linprogs@balean.net>
URL:		http://www.balean.net
Requires: 	glib2 >= 2.4.0
Requires: 	gtk2 >= 2.4.0
BuildRoot:      %{_tmppath}/%{sname}
Source:		%{sname}.tar.gz

%description
Search for either words matching a pattern or anagrams, optionally with synonyms, using a GUI.


%prep
%setup -q


%build
rm -rf $RPM_BUILD_ROOT

rm -f %{sdir}/Makefile %{sdir}/Makefile.in configure autote.cache

rm -f %{sdir}/src/Makefile %{sdir}/src/Makefile.in
rm -rf %{sdir}/src/.deps


%{sdir}/autogen.sh  --prefix=%{prefix} \
	--bindir=%{bindir} --datadir=%{datadir} \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} \
	--mandir=%{mandir}

make


%install

make prefix=$RPM_BUILD_ROOT%{prefix} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	datadir=$RPM_BUILD_ROOT%{datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
	mandir=$RPM_BUILD_ROOT%{mandir} install

gzip --best $RPM_BUILD_ROOT%{mandir}/man1/wordmatch.1

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)


# Looks like this has to be it...
%dir %{datadir}/applications

%{doc}/AUTHORS
%{doc}/ChangeLog
%{doc}/COPYING
%{doc}/NEWS
%{doc}/README
%{doc}/TODO

%{mandir}/man1/wordmatch.1.gz
%{pixmapsdir}/gtk-index.png
%{datadir}/applications/Wordmatch.desktop

%defattr(0711,root,root,-)
%{bindir}/wordmatch



# %changelog
